function arrp = bwavesc2p(arrc)

%   Converts input array from "c" (complex freq) format to "p" (real
%           frequency) format
%   Call as
%       arrp = bwavesc2p(arrc);
%   where
%       arrc           = an input array in the "c" (complex freq) format.
%                               for use with bwavesc
%       arrp           = an input array in the "p" (real freq) format
%                               for use with bwavesp

%   K. Brink  3/20/2020


disp(' ')
disp('Do you want to use the coastal long wave approximation?')
eps = input('Enter 0 for coastal long wave, 1 for general frequency and wavenumber ');

ar1 = arrc(1:4);
ar2 = arrc(5:11);
ar3 = arrc(13:end);

arrp = [ar1 eps ar2 ar3];

if eps < 0.5
    nw = 1;
    arrp(9) = nw;
end

end

