function arrc = bwavesp2c(arrp)

%
%   Converts input array from "p" (real freq) format to "c" (imaginary
%           frequency) format
%   Call as
%       arrc = bwavesp2c(arrp);
%   where
%       arrc           = an input array in the "c" (complex freq) format.
%                               for use with bwavesc
%       arrp           = an input array in the "p" (real freq) format
%                               for use with bwavesp

%   K. Brink  3/20/2020


disp(' ')
wi = input('Guess at the imaginery part of frequency (1/sec)? ');

ar1 = arrp(1:4);
ar2 = arrp(6:12);
ar3 = arrp(13:end);

arrc = [ar1 ar2 wi ar3];

end